#Include <File.au3>

Global $fileopen
Global $lines
Global $splitstring
Global $splitstring1
Global $i
Global $txtfileline
Global $txtfileopen
Global $englishline
Global $txtfileread
Global $split1
Global $nowrite
Global $split2
Global $writefileopen
Global $trimmedname

#cs

This script creates a file for Tux Paint with the sound file name and the actual text to be spoken in it.  Such a file can then be used to automate the recording process.

To use, have a file named "txtfiles.txt" that contains the paths of all the ".txt" files in the stamps directory.  You can get the paths by installing PikyBasket's "copy paths to clipboard" function and by doing a search for all ".txt" files in the toplevel folder.  The example file included in this script may be outdated, so generate your own.

#ce

$fileopen = FileOpen ("txtfiles.txt", 128)

$lines = _FileCountLines("txtfiles.txt")

$splitstring = InputBox ("Name of language?", "What is the name of your language in the TXT files?  For Afrikaans (af), it is 'af.utf8', for example.", "af.utf8")
$splitstring1 = $splitstring & "="

For $i = 1 to $lines

$txtfileline = FileReadLine ("txtfiles.txt", $i)
$txtfileopen = FileOpen ($txtfileline, 128)
$englishline = FileReadLine ($txtfileopen, 1)

$txtfileread = FileRead ($txtfileline)

$split1 = StringSplit ($txtfileread, $splitstring1, 1)

$nowrite = 0

If $split1[0] > 1 Then

$split2 = StringSplit ($split1[2], @LF, 1)

If $split2[0] > 1 Then

; text to record is $split2[1]

Else

$nowrite = 1

EndIf

Else

$nowrite = 1

EndIf

$writefileopen = FileOpen ("listfile.txt", 129)

$trimmedname = StringTrimRight ($txtfileline, 4)

If $nowrite = 1 Then
FileWrite ($writefileopen, $trimmedname & "__desc_ca_NO-TRANSLATION-YET" & @TAB & $englishline & @TAB & "NO TRANSLATION YET" & @CRLF)
ElseIf $nowrite = 0 Then
FileWrite ($writefileopen, $trimmedname & "__desc_ca" & @TAB & $englishline & @TAB & $split2[1] & @CRLF)
EndIf

FileClose ($writefileopen)

; TrayTip ( "title", "text", timeout [, option] )

Next


